Subject: 29.0.50; browse-url-file-url fails on Windows since e06319b

From: Kiên Nguyễn Quang <[email-masked]>
Date: Tue, 5 Apr 2022 15:57:40 +0900

Error:
*(error "ShellExecute failed: The system cannot find the file specified.")*

It's because e06319b is using `file-name-split` which will discard the
driver name in Windows.
For example:
(file-name-split "c:/Data/projects/notes/techs/.burlIU3pav.html")
# Output: ("" "Data" "projects" "notes" "techs" ".burlIU3pav.html")

Since the driver name is discarded, the constructed URL is
"file:///Data/projects/notes/techs/.burlIU3pav.html", which does not
exist and cannot be opened.